Subject: Re: [PATCH net-next] virtio_net: Add TX stop and wake counters

From: Jakub Kicinski <[email-masked]>
Date: Mon, 10 Jun 2024 10:57:17 -0700

On Sat, 8 Jun 2024 08:41:44 +0800 Jason Xing wrote:
> > > Sorry to revive this thread. I wonder why not use this patch like mlnx driver
> > > does instead of adding statistics into the yaml file? Are we gradually using or
> > > adding more fields into the yaml file to replace the 'ethtool -S' command?
> > >  
> >
> > It's trivial to have the stats in ethtool as well. But I noticed
> > the stats series intentionally removed some stats from ethtool. So
> > I didn't put it both places.  
> 
> Thank you for the reply. I thought there was some particular reason
> :-)

Yes, we don't want duplication. We have a long standing (and
documented) policy against duplicating normal stats in custom stat
APIs, otherwise vendors pile everything into the custom stats.